This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256623 - Not possible to convert XLS table to GDT with blank cells
Not possible to convert XLS table to GDT with blank cells
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER3
: 6.2.0
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 02:58 EDT by Anton Giertli
Modified: 2016-04-22 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
EmptySpreadsheetCells.xls (54.00 KB, application/x-ole-storage)
2015-08-25 02:59 EDT, Anton Giertli
no flags Details
Log_EmptySpreadsheetCells (8.69 KB, text/plain)
2015-08-25 02:59 EDT, Anton Giertli
no flags Details
Model.jar (3.09 KB, application/zip)
2015-08-25 03:00 EDT, Anton Giertli
no flags Details

  None (edit)
Description Anton Giertli 2015-08-25 02:58:19 EDT
Description of problem:
If my XLS decision tables has even one cell blank in any column then the conversion to the guided decision table does not happen. The error log and xls dt is attached. (Logs_EmptySpreadsheetCells.txt and EmptySpreadsheetCells.xls)

Version-Release number of selected component (if applicable):
BRMS 6.1.2

How reproducible:
always

Steps to Reproduce:
1. Upload XLS including blank cells into the business-central
2. Try to convert it to Guided Decision Table
3. The conversion fails

Actual results:
The conversion of XLS decision table to GDT fails, if the XLS includes blank cells.

Expected results:
The conversion of XLS decision table to GDT succeeds, even if the XLS includes blank cells.


Additional info:
The xls table is valid, the project can be built successfully, the empty cells should not be simply included in the generated GDT.
Comment 1 Anton Giertli 2015-08-25 02:59:28 EDT
Created attachment 1066745 [details]
EmptySpreadsheetCells.xls
Comment 2 Anton Giertli 2015-08-25 02:59:49 EDT
Created attachment 1066746 [details]
Log_EmptySpreadsheetCells
Comment 3 Anton Giertli 2015-08-25 03:00:04 EDT
Created attachment 1066747 [details]
Model.jar
Comment 6 manstis 2015-09-02 04:59:56 EDT
I wrote a test using the attached XLS file and, given the referenced fix for GUVNOR-2188, it passed without problem. I suspect the "empty" cells correspond to the subject of the referenced JIRA i.e. "Converting XLS Decision Tables fails a row doesn't contain all necessary cells".
Comment 8 Martin Zilak 2015-10-26 10:28:24 EDT
I followed the steps above and I was able to convert the XLS table with blank cells to a GDT without problems. I used BRMS 6.2.0.ER4.

Note You need to log in before you can comment on or make changes to this bug.